[arch-commits] Commit in julia/repos (6 files)

Alexander Rødseth arodseth at archlinux.org
Fri Jul 18 20:57:42 UTC 2014


    Date: Friday, July 18, 2014 @ 22:57:42
  Author: arodseth
Revision: 115930

archrelease: copy trunk to community-x86_64, community-i686

Added:
  julia/repos/community-i686/PKGBUILD
    (from rev 115929, julia/trunk/PKGBUILD)
  julia/repos/community-i686/sysfix.install
    (from rev 115929, julia/trunk/sysfix.install)
  julia/repos/community-x86_64/PKGBUILD
    (from rev 115929, julia/trunk/PKGBUILD)
  julia/repos/community-x86_64/sysfix.install
    (from rev 115929, julia/trunk/sysfix.install)
Deleted:
  julia/repos/community-i686/PKGBUILD
  julia/repos/community-x86_64/PKGBUILD

---------------------------------+
 /PKGBUILD                       |  174 ++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD         |   89 -------------------
 community-i686/sysfix.install   |    8 +
 community-x86_64/PKGBUILD       |   89 -------------------
 community-x86_64/sysfix.install |    8 +
 5 files changed, 190 insertions(+), 178 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2014-07-18 20:16:09 UTC (rev 115929)
+++ community-i686/PKGBUILD	2014-07-18 20:57:42 UTC (rev 115930)
@@ -1,89 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Lex Black <autumn-wind at web dot de>
-# Contributor: Michael Jakl <jakl.michael at gmail.com>
-# Contributor: devmotion <nospam-archlinux.org at devmotion.de>
-
-pkgname=julia
-pkgver=0.3.0_prerelease
-pkgrel=8
-pkgdesc='High-level, high-performance, dynamic programming language'
-arch=('x86_64' 'i686')
-url='http://julialang.org'
-license=('GPL')
-depends=('arpack' 'fftw' 'git' 'gmp' 'libunwind' 'mpfr' 'pcre' 'readline' 'zlib')
-makedepends=('gcc-fortran' 'python2' 'libuv' 'setconf')
-optdepends=('gnuplot: If using the Gaston Package from julia')
-options=('!emptydirs' 'staticlibs')
-source=('git://github.com/JuliaLang/julia.git#commit=a8545c0a93')
-sha256sums=('SKIP')
-
-prepare() {
-  # Fix for FS#40736
-  [ $CARCH = x86_64 ] && (setconf "$pkgname/Make.inc" JULIA_CPU_TARGET core2) || true
-}
-
-build() {
-  make -C "$pkgname" prefix=/usr sysconfdir=/etc \
-    USE_SYSTEM_LLVM=0 \
-    USE_SYSTEM_LIBUNWIND=1 \
-    USE_SYSTEM_READLINE=1 \
-    USE_SYSTEM_PCRE=1 \
-    USE_SYSTEM_LIBM=1 \
-    USE_SYSTEM_OPENLIBM=0 \
-    USE_SYSTEM_OPENSPECFUN=0 \
-    USE_SYSTEM_BLAS=1 \
-    USE_SYSTEM_LAPACK=1 \
-    USE_SYSTEM_FFTW=1 \
-    USE_SYSTEM_GMP=1 \
-    USE_SYSTEM_MPFR=1 \
-    USE_SYSTEM_ARPACK=1 \
-    USE_SYSTEM_SUITESPARSE=0 \
-    USE_SYSTEM_ZLIB=1 \
-    USE_SYSTEM_GRISU=0 \
-    USE_SYSTEM_RMATH=0 \
-    USE_SYSTEM_LIBUV=0 \
-    USE_SYSTEM_UTF8PROC=0 \
-    USE_MKL=0 \
-    USE_BLAS64=0 \
-    USE_LLVM_SHLIB=0
-}
-
-package() {
-  make -C "$pkgname" DESTDIR="$pkgdir" \
-    prefix=/usr sysconfdir=/etc  \
-    USE_SYSTEM_LLVM=0 \
-    USE_SYSTEM_LIBUNWIND=1 \
-    USE_SYSTEM_READLINE=1 \
-    USE_SYSTEM_PCRE=1 \
-    USE_SYSTEM_LIBM=1 \
-    USE_SYSTEM_OPENLIBM=0 \
-    USE_SYSTEM_OPENSPECFUN=0 \
-    USE_SYSTEM_BLAS=1 \
-    USE_SYSTEM_LAPACK=1 \
-    USE_SYSTEM_FFTW=1 \
-    USE_SYSTEM_GMP=1 \
-    USE_SYSTEM_MPFR=1 \
-    USE_SYSTEM_ARPACK=1 \
-    USE_SYSTEM_SUITESPARSE=0 \
-    USE_SYSTEM_ZLIB=1 \
-    USE_SYSTEM_GRISU=0 \
-    USE_SYSTEM_RMATH=0 \
-    USE_SYSTEM_LIBUV=0 \
-    USE_SYSTEM_UTF8PROC=0 \
-    USE_MKL=0 \
-    USE_BLAS64=0 \
-    USE_LLVM_SHLIB=0 \
-    install
-    
-    # Remove duplicate man-page from julia/doc
-    rm -rv "$pkgdir/usr/share/julia/doc/man"
-
-    # Remove this file in order for Julia to start, see FS#39721
-    rm -v "$pkgdir/usr/lib/julia/sys.so"
-
-    # Fix wonky permission
-    chmod 644 "$pkgdir/usr/lib/julia/libuv.a"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: julia/repos/community-i686/PKGBUILD (from rev 115929, julia/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2014-07-18 20:57:42 UTC (rev 115930)
@@ -0,0 +1,87 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Lex Black <autumn-wind at web dot de>
+# Contributor: Michael Jakl <jakl.michael at gmail.com>
+# Contributor: devmotion <nospam-archlinux.org at devmotion.de>
+
+pkgname=julia
+pkgver=0.3.0_rc1
+pkgrel=1
+pkgdesc='High-level, high-performance, dynamic programming language'
+arch=('x86_64' 'i686')
+url='http://julialang.org'
+license=('GPL')
+depends=('arpack' 'fftw' 'git' 'gmp' 'libunwind' 'mpfr' 'pcre' 'readline' 'zlib')
+makedepends=('gcc-fortran' 'python2' 'libuv' 'setconf')
+optdepends=('gnuplot: If using the Gaston Package from julia')
+options=('!emptydirs' 'staticlibs')
+source=("git://github.com/JuliaLang/julia.git#tag=v${pkgver/_/-}")
+install=sysfix.install
+sha256sums=('SKIP')
+
+prepare() {
+  # Fix for FS#40736
+  [ $CARCH = x86_64 ] && (setconf "$pkgname/Make.inc" JULIA_CPU_TARGET core2) || true
+}
+
+build() {
+  make -C "$pkgname" prefix=/usr sysconfdir=/etc \
+    USE_SYSTEM_LLVM=0 \
+    USE_SYSTEM_LIBUNWIND=1 \
+    USE_SYSTEM_READLINE=1 \
+    USE_SYSTEM_PCRE=1 \
+    USE_SYSTEM_LIBM=1 \
+    USE_SYSTEM_OPENLIBM=0 \
+    USE_SYSTEM_OPENSPECFUN=0 \
+    USE_SYSTEM_BLAS=1 \
+    USE_SYSTEM_LAPACK=1 \
+    USE_SYSTEM_FFTW=1 \
+    USE_SYSTEM_GMP=1 \
+    USE_SYSTEM_MPFR=1 \
+    USE_SYSTEM_ARPACK=1 \
+    USE_SYSTEM_SUITESPARSE=0 \
+    USE_SYSTEM_ZLIB=1 \
+    USE_SYSTEM_GRISU=0 \
+    USE_SYSTEM_RMATH=0 \
+    USE_SYSTEM_LIBUV=0 \
+    USE_SYSTEM_UTF8PROC=0 \
+    USE_MKL=0 \
+    USE_BLAS64=0 \
+    USE_LLVM_SHLIB=0
+}
+
+package() {
+  make -C "$pkgname" DESTDIR="$pkgdir" \
+    prefix=/usr sysconfdir=/etc  \
+    USE_SYSTEM_LLVM=0 \
+    USE_SYSTEM_LIBUNWIND=1 \
+    USE_SYSTEM_READLINE=1 \
+    USE_SYSTEM_PCRE=1 \
+    USE_SYSTEM_LIBM=1 \
+    USE_SYSTEM_OPENLIBM=0 \
+    USE_SYSTEM_OPENSPECFUN=0 \
+    USE_SYSTEM_BLAS=1 \
+    USE_SYSTEM_LAPACK=1 \
+    USE_SYSTEM_FFTW=1 \
+    USE_SYSTEM_GMP=1 \
+    USE_SYSTEM_MPFR=1 \
+    USE_SYSTEM_ARPACK=1 \
+    USE_SYSTEM_SUITESPARSE=0 \
+    USE_SYSTEM_ZLIB=1 \
+    USE_SYSTEM_GRISU=0 \
+    USE_SYSTEM_RMATH=0 \
+    USE_SYSTEM_LIBUV=0 \
+    USE_SYSTEM_UTF8PROC=0 \
+    USE_MKL=0 \
+    USE_BLAS64=0 \
+    USE_LLVM_SHLIB=0 \
+    install
+    
+    # Remove duplicate man-page from julia/doc
+    rm -rv "$pkgdir/usr/share/julia/doc/man"
+
+    # Fix wonky permission
+    chmod 644 "$pkgdir/usr/lib/julia/libuv.a"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: julia/repos/community-i686/sysfix.install (from rev 115929, julia/trunk/sysfix.install)
===================================================================
--- community-i686/sysfix.install	                        (rev 0)
+++ community-i686/sysfix.install	2014-07-18 20:57:42 UTC (rev 115930)
@@ -0,0 +1,8 @@
+post_install() {
+  # Removing sys.so if needed, in order for Julia to start, see FS#39721
+  julia --version 2>/dev/null || rm /usr/lib/julia/sys.so
+}
+
+post_upgrade() {
+  post_install
+}

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2014-07-18 20:16:09 UTC (rev 115929)
+++ community-x86_64/PKGBUILD	2014-07-18 20:57:42 UTC (rev 115930)
@@ -1,89 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Lex Black <autumn-wind at web dot de>
-# Contributor: Michael Jakl <jakl.michael at gmail.com>
-# Contributor: devmotion <nospam-archlinux.org at devmotion.de>
-
-pkgname=julia
-pkgver=0.3.0_prerelease
-pkgrel=8
-pkgdesc='High-level, high-performance, dynamic programming language'
-arch=('x86_64' 'i686')
-url='http://julialang.org'
-license=('GPL')
-depends=('arpack' 'fftw' 'git' 'gmp' 'libunwind' 'mpfr' 'pcre' 'readline' 'zlib')
-makedepends=('gcc-fortran' 'python2' 'libuv' 'setconf')
-optdepends=('gnuplot: If using the Gaston Package from julia')
-options=('!emptydirs' 'staticlibs')
-source=('git://github.com/JuliaLang/julia.git#commit=a8545c0a93')
-sha256sums=('SKIP')
-
-prepare() {
-  # Fix for FS#40736
-  [ $CARCH = x86_64 ] && (setconf "$pkgname/Make.inc" JULIA_CPU_TARGET core2) || true
-}
-
-build() {
-  make -C "$pkgname" prefix=/usr sysconfdir=/etc \
-    USE_SYSTEM_LLVM=0 \
-    USE_SYSTEM_LIBUNWIND=1 \
-    USE_SYSTEM_READLINE=1 \
-    USE_SYSTEM_PCRE=1 \
-    USE_SYSTEM_LIBM=1 \
-    USE_SYSTEM_OPENLIBM=0 \
-    USE_SYSTEM_OPENSPECFUN=0 \
-    USE_SYSTEM_BLAS=1 \
-    USE_SYSTEM_LAPACK=1 \
-    USE_SYSTEM_FFTW=1 \
-    USE_SYSTEM_GMP=1 \
-    USE_SYSTEM_MPFR=1 \
-    USE_SYSTEM_ARPACK=1 \
-    USE_SYSTEM_SUITESPARSE=0 \
-    USE_SYSTEM_ZLIB=1 \
-    USE_SYSTEM_GRISU=0 \
-    USE_SYSTEM_RMATH=0 \
-    USE_SYSTEM_LIBUV=0 \
-    USE_SYSTEM_UTF8PROC=0 \
-    USE_MKL=0 \
-    USE_BLAS64=0 \
-    USE_LLVM_SHLIB=0
-}
-
-package() {
-  make -C "$pkgname" DESTDIR="$pkgdir" \
-    prefix=/usr sysconfdir=/etc  \
-    USE_SYSTEM_LLVM=0 \
-    USE_SYSTEM_LIBUNWIND=1 \
-    USE_SYSTEM_READLINE=1 \
-    USE_SYSTEM_PCRE=1 \
-    USE_SYSTEM_LIBM=1 \
-    USE_SYSTEM_OPENLIBM=0 \
-    USE_SYSTEM_OPENSPECFUN=0 \
-    USE_SYSTEM_BLAS=1 \
-    USE_SYSTEM_LAPACK=1 \
-    USE_SYSTEM_FFTW=1 \
-    USE_SYSTEM_GMP=1 \
-    USE_SYSTEM_MPFR=1 \
-    USE_SYSTEM_ARPACK=1 \
-    USE_SYSTEM_SUITESPARSE=0 \
-    USE_SYSTEM_ZLIB=1 \
-    USE_SYSTEM_GRISU=0 \
-    USE_SYSTEM_RMATH=0 \
-    USE_SYSTEM_LIBUV=0 \
-    USE_SYSTEM_UTF8PROC=0 \
-    USE_MKL=0 \
-    USE_BLAS64=0 \
-    USE_LLVM_SHLIB=0 \
-    install
-    
-    # Remove duplicate man-page from julia/doc
-    rm -rv "$pkgdir/usr/share/julia/doc/man"
-
-    # Remove this file in order for Julia to start, see FS#39721
-    rm -v "$pkgdir/usr/lib/julia/sys.so"
-
-    # Fix wonky permission
-    chmod 644 "$pkgdir/usr/lib/julia/libuv.a"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: julia/repos/community-x86_64/PKGBUILD (from rev 115929, julia/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2014-07-18 20:57:42 UTC (rev 115930)
@@ -0,0 +1,87 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Lex Black <autumn-wind at web dot de>
+# Contributor: Michael Jakl <jakl.michael at gmail.com>
+# Contributor: devmotion <nospam-archlinux.org at devmotion.de>
+
+pkgname=julia
+pkgver=0.3.0_rc1
+pkgrel=1
+pkgdesc='High-level, high-performance, dynamic programming language'
+arch=('x86_64' 'i686')
+url='http://julialang.org'
+license=('GPL')
+depends=('arpack' 'fftw' 'git' 'gmp' 'libunwind' 'mpfr' 'pcre' 'readline' 'zlib')
+makedepends=('gcc-fortran' 'python2' 'libuv' 'setconf')
+optdepends=('gnuplot: If using the Gaston Package from julia')
+options=('!emptydirs' 'staticlibs')
+source=("git://github.com/JuliaLang/julia.git#tag=v${pkgver/_/-}")
+install=sysfix.install
+sha256sums=('SKIP')
+
+prepare() {
+  # Fix for FS#40736
+  [ $CARCH = x86_64 ] && (setconf "$pkgname/Make.inc" JULIA_CPU_TARGET core2) || true
+}
+
+build() {
+  make -C "$pkgname" prefix=/usr sysconfdir=/etc \
+    USE_SYSTEM_LLVM=0 \
+    USE_SYSTEM_LIBUNWIND=1 \
+    USE_SYSTEM_READLINE=1 \
+    USE_SYSTEM_PCRE=1 \
+    USE_SYSTEM_LIBM=1 \
+    USE_SYSTEM_OPENLIBM=0 \
+    USE_SYSTEM_OPENSPECFUN=0 \
+    USE_SYSTEM_BLAS=1 \
+    USE_SYSTEM_LAPACK=1 \
+    USE_SYSTEM_FFTW=1 \
+    USE_SYSTEM_GMP=1 \
+    USE_SYSTEM_MPFR=1 \
+    USE_SYSTEM_ARPACK=1 \
+    USE_SYSTEM_SUITESPARSE=0 \
+    USE_SYSTEM_ZLIB=1 \
+    USE_SYSTEM_GRISU=0 \
+    USE_SYSTEM_RMATH=0 \
+    USE_SYSTEM_LIBUV=0 \
+    USE_SYSTEM_UTF8PROC=0 \
+    USE_MKL=0 \
+    USE_BLAS64=0 \
+    USE_LLVM_SHLIB=0
+}
+
+package() {
+  make -C "$pkgname" DESTDIR="$pkgdir" \
+    prefix=/usr sysconfdir=/etc  \
+    USE_SYSTEM_LLVM=0 \
+    USE_SYSTEM_LIBUNWIND=1 \
+    USE_SYSTEM_READLINE=1 \
+    USE_SYSTEM_PCRE=1 \
+    USE_SYSTEM_LIBM=1 \
+    USE_SYSTEM_OPENLIBM=0 \
+    USE_SYSTEM_OPENSPECFUN=0 \
+    USE_SYSTEM_BLAS=1 \
+    USE_SYSTEM_LAPACK=1 \
+    USE_SYSTEM_FFTW=1 \
+    USE_SYSTEM_GMP=1 \
+    USE_SYSTEM_MPFR=1 \
+    USE_SYSTEM_ARPACK=1 \
+    USE_SYSTEM_SUITESPARSE=0 \
+    USE_SYSTEM_ZLIB=1 \
+    USE_SYSTEM_GRISU=0 \
+    USE_SYSTEM_RMATH=0 \
+    USE_SYSTEM_LIBUV=0 \
+    USE_SYSTEM_UTF8PROC=0 \
+    USE_MKL=0 \
+    USE_BLAS64=0 \
+    USE_LLVM_SHLIB=0 \
+    install
+    
+    # Remove duplicate man-page from julia/doc
+    rm -rv "$pkgdir/usr/share/julia/doc/man"
+
+    # Fix wonky permission
+    chmod 644 "$pkgdir/usr/lib/julia/libuv.a"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: julia/repos/community-x86_64/sysfix.install (from rev 115929, julia/trunk/sysfix.install)
===================================================================
--- community-x86_64/sysfix.install	                        (rev 0)
+++ community-x86_64/sysfix.install	2014-07-18 20:57:42 UTC (rev 115930)
@@ -0,0 +1,8 @@
+post_install() {
+  # Removing sys.so if needed, in order for Julia to start, see FS#39721
+  julia --version 2>/dev/null || rm /usr/lib/julia/sys.so
+}
+
+post_upgrade() {
+  post_install
+}




More information about the arch-commits mailing list